# OgreSharedPtr.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

template<class T, class U>
bool | operator== (SharedPtr< T > const &a, SharedPtr< U > const &b)
template<class T, class U>
bool | operator!= (SharedPtr< T > const &a, SharedPtr< U > const &b)

## Function Documentation

template<class T, class U>
bool Ogre::operator!= | ( | SharedPtr< T > const & | a,
|  | SharedPtr< U > const & | b
| ) |

| Definition at line 185 of file OgreSharedPtr.h. References Ogre::SharedPtr< T >::get().

template<class T, class U>
bool Ogre::operator== | ( | SharedPtr< T > const & | a,
|  | SharedPtr< U > const & | b
| ) |

| Definition at line 180 of file OgreSharedPtr.h. References Ogre::SharedPtr< T >::get(). Referenced by Ogre::Quaternion::operator!=(), and Ogre::Matrix3::operator!=().

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:14 2006